Bug 194300 - Review Request: compat-erlang
Review Request: compat-erlang
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-06 21:01 EDT by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 13:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-06-06 21:01:27 EDT
Spec URL: http://math.ifi.unizh.ch/fedora/spec/compat-erlang.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/compat-erlang-R10B-10.1.fc5.src.rpm
Description:
This is a compatibility package for erlang R10B (current being R11B).
The original review is bug #166377.
Comment 1 Jason Tibbitts 2006-06-06 22:03:40 EDT
I don't see anything out of line with the original review.  I do see some
oddities which you probably want to clean up, though.

W: compat-erlang-doc wrong-file-end-of-line-encoding
/usr/share/doc/compat-erlang-doc-R10B/doc/highlights.html

Do you need to ship the docs for the compat package?  Anyone who wants to do
development should just install the main package.

A bunch of these:
W: compat-erlang manpage-not-gzipped /usr/lib64/erlangR10B/man/man3/win32reg.3

Again, I'd just dump the manpages.


E: compat-erlang non-executable-script
/usr/lib64/erlangR10B/erts-5.4.13/bin/start.src 0644

Not sure what this is.


E: compat-erlang non-readable
/usr/lib64/erlangR10B/lib/ssl-3.0.11/examples/certs/etc/otpCA/private/RAND 0660

Nor this.

The only other thing I see is the directory name; are you sure you don't want to
put in a dash or something?  There are plenty of directories in /usr/lib that
don't use a dash (expect5.43, python2.4, tk8.4) so it's surely not a blocker.
Comment 2 Gérard Milmeister 2006-06-07 04:41:30 EDT
(In reply to comment #1)
> Do you need to ship the docs for the compat package?  Anyone who wants to do
> development should just install the main package.
Ok.

> Again, I'd just dump the manpages.
Ok.

> E: compat-erlang non-executable-script
> /usr/lib64/erlangR10B/erts-5.4.13/bin/start.src 0644
This is similar to an .in file, it used to create the real start
script by the Install script.

> E: compat-erlang non-readable
> /usr/lib64/erlangR10B/lib/ssl-3.0.11/examples/certs/etc/otpCA/private/RAND 0660
These seem to be certificates. Obviously, they don't want to have
this work readable, similarly to the files in /etc/pki/tls, I would say.

> The only other thing I see is the directory name; are you sure you don't want to
> put in a dash or something?  There are plenty of directories in /usr/lib that
> don't use a dash (expect5.43, python2.4, tk8.4) so it's surely not a blocker.
Hmm, probably a dash would be better (also for the files in bin).

The wings3d binary for Linux published by upstream packages the part
of erlang and esdl, that is needed for running wings. This means that
the expanded wings package only has 6.4M instead of over 114M for erlang
alone. Shouldn't we do the same? In this case compat-erlang is only
needed at compile time.
Comment 3 Jason Tibbitts 2006-06-07 10:29:55 EDT
(In reply to comment #2)
> The wings3d binary for Linux published by upstream packages the part
> of erlang and esdl, that is needed for running wings. This means that
> the expanded wings package only has 6.4M instead of over 114M for erlang
> alone. Shouldn't we do the same? In this case compat-erlang is only
> needed at compile time.

I didn't realize you could do that; it does open up some other possibilities:

1) Just have the wings3d package include the stuff it needs to run.

2) Conditionalize the wings3d package to include the bits it needs only if it
doesn't run with the current erlang release.

3) Put the necessary bits into an erlang-runtime package (and the bits from the
older release in a compat-erlang-runtime package).  Add Provides:
erlang-runtime(R11B) (or R10B as appropriate) and then have each erlang-using
package simply require erlang-runtime(blah) as necessary.  Make sure your
compat-erlang-runtime packages are parallel-installable (which means they need
the version in the name (compat-erlang-runtime-R10B-1-1.i386.rpm).

The latter is probably too much work for the small number of erlang packages
around (basically wings3d and ejabberd, I think).
Comment 4 Gérard Milmeister 2006-06-07 12:51:41 EDT
(In reply to comment #3)
> 
> I didn't realize you could do that; it does open up some other possibilities:
> 
> 1) Just have the wings3d package include the stuff it needs to run.
When compat-erlang is through, I will try to make such a package.

http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/compat-erlang-R10B-10.2.src.rpm
Comment 5 Jason Tibbitts 2006-06-07 14:03:12 EDT
Everything looks good to me; a mock build (x86_64, development) succeeds.  This
is an informal review so I won't go through the full checklist; this package was
previously approved anyway.

APPROVED
Comment 6 Gérard Milmeister 2006-06-08 04:00:52 EDT
Built on FC4, FC5 and FC6.
It seems that the packages are not yet available for rebuilding
erlang-esdl, and I have to wait till they get to the repositories.
Comment 7 Gérard Milmeister 2006-06-08 13:51:09 EDT
Ok, everything is going fine now, erlang-esdl and
wings rebuilt against compat-erlang.

Thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.